<?
// ################################################################################################################
// ## Thumbnail List Setting for List #############################################################################
function thumblist_config(){
	global $list, $pluginURL;

		// #2. Thumbnail List Category [ex: array('main1','sub1',.....,'sub8','main2')]
		$thumb['category']		= array('카테고리명');

		// #3. X line view limit number
		$thumb['maxX']			= 5;

		// #4. Y line view limit number
		$thumb['maxY']			= 7;

		// #5. Thumbnail total
		$thumb['totalview']		= $thumb['maxX']*$thumb['maxY'];

		// #6. Thumbnail image width number
		$thumb['width']			= 65;

		// #7. Thumbnail image height number
		$thumb['height']		= 65;

		// #8. Thumbnail image quality number [default:85, 1~100]
		$thumb['quality']		= 95;

		// #9. Thumbnail image resize style number
		// [0:Original ratio resize, 1:Not a ratio resize, 2:Original ratio resize + Center crop]
		$thumb['resize']		= 2;

		// #10. Thumbnail title view [Setting : true or false]
		$thumb['title']			= true;

		// #11. Thumbnail title view limit length number
		$thumb['title_length']	= 7;

		// #12. Thumbnail comment number view [Setting : true or false]
		$thumb['comment']		= true;

		// #13. Thumbnail date view [Setting : true or false]
		$thumb['date']			= true;

		// #14. Thumbnail view style Lightbox plugin view (http://mahodou.pe.kr/tt) [Setting : true or false]
		$thumb['lightbox']		= false;

		// #15. Current category thumbnail total count(not edit)
		$thumb['count']			= count($list['items']);

		// #16. Current Skin Type
		// [0:Default XHTML, 1:Default HTML]
		$thumb['skintype']		= 0;

	return $thumb;
}

// ################################################################################################################
// ## Thumbnail Recent View Setting for Sidebar ###################################################################
function recent_config(){
	global $pluginURL;

		// #2. Thumbnail List Category [ex: array('main1','sub1',.....,'sub8','main2')]
		$thumb['category']		= array('카테고리명');

		// #3. X line view limit number
		$thumb['maxX']			= 1;

		// #4. Y line view limit number
		$thumb['maxY']			= 1;

		// #5. Thumbnail total
		$thumb['totalview']		= $thumb['maxX']*$thumb['maxY'];

		// #6. Thumbnail image width number
		$thumb['width']			= 100;

		// #7. Thumbnail image height number
		$thumb['height']		= 100;

		// #8. Thumbnail image quality number [default:85, 1~100]
		$thumb['quality']		= 95;

		// #9. Thumbnail image resize style number
		// [0:Original ratio resize, 1:Not a ratio resize, 2:Original ratio resize + Center crop]
		$thumb['resize']		= 2;

		// #10. Thumbnail DB roading style number
		// [0:Recent date, 1:Random , 2:Most commented]
		$thumb['loading']		= 1;

		// #11. Thumbnail title view [Setting : true or false]
		$thumb['title']			= false;

		// #12. Thumbnail title view limit length number
		$thumb['title_length']	= 8;

		// #13. Thumbnail comment number view [Setting : true or false]
		$thumb['comment']		= false;

		// #14. Thumbnail date view [Setting : true or false]
		$thumb['date']			= false;

		// #15. Thumbnail view style Lightbox plugin view (http://mahodou.pe.kr/tt) [Setting : true or false]
		$thumb['lightbox']		= false;

	return $thumb;
}

// ################################################################################################################
// ## Thumbnail List Setting for Recent/Random/Most comment #######################################################
function rrmc_config(){
	global $pluginURL;

		$temp = thumblist_config(); 

		// #2. Thumbnail List Category [ex: array('main1','sub1',.....,'sub8','main2')]
		$thumb['category']		= $temp['category'];
//		$thumb['category']		= array('카테고리명');

		// #3. X line view limit number
		$thumb['maxX']			= 5;

		// #4. Y line view limit number
		$thumb['maxY']			= 1;

		// #5. Thumbnail total
		$thumb['totalview']		= $thumb['maxX']*$thumb['maxY'];

		// #6. Thumbnail image width number
		$thumb['width']			= $temp['width'];

		// #7. Thumbnail image height number
		$thumb['height']		= $temp['height'];

		// #8. Thumbnail DB roading style number
		// [0:Recent date, 1:Random , 2:Most commented]
		$thumb['loading']		= 0;

		// #9. Thumbnail title view [Setting : true or false]
		$thumb['title']			= false;

		// #10. Thumbnail title view limit length number
		$thumb['title_length']	= 8;

		// #11. Thumbnail comment number view [Setting : true or false]
		$thumb['comment']		= false;

		// #12. Thumbnail date view [Setting : true or false]
		$thumb['date']			= false;

		// #13. Thumbnail view style Lightbox plugin view (http://mahodou.pe.kr/tt) [Setting : true or false]
		$thumb['lightbox']		= false;

	return $thumb;
}
?>